<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::core::AhrsData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1core_1_1_ahrs_data.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classflair_1_1core_1_1_ahrs_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::core::AhrsData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining AHRS datas.  
 <a href="classflair_1_1core_1_1_ahrs_data.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_ahrs_data_8h_source.html">AhrsData.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::core::AhrsData:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1core_1_1_ahrs_data.png" usemap="#flair::core::AhrsData_map" alt=""/>
  <map id="flair::core::AhrsData_map" name="flair::core::AhrsData_map">
<area href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. " alt="flair::core::io_data" shape="rect" coords="0,112,125,136"/>
<area href="classflair_1_1core_1_1_mutex.html" title="Class defining a mutex. " alt="flair::core::Mutex" shape="rect" coords="0,56,125,80"/>
<area href="classflair_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="flair::core::Object" shape="rect" coords="0,0,125,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_ahrs_data_1_1_type.html">Type</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a543cdebeff537350a819b07a4a55cdfe"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfe">PlotableData_t</a> { <br />
&#160;&#160;<a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea5f8990388fad1c927fc08019824fcbdd">Roll</a>, 
<a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea14abd733b4aae994e03227a41414c956">Pitch</a>, 
<a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeaacc98a52fd3a118df2369ceacfe42e80">Yaw</a>, 
<a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea5fc64bf63e469acf2ea04b026566898a">RollDeg</a>, 
<br />
&#160;&#160;<a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeab1879f408d8ca43877c6b8e1d1c47e2a">PitchDeg</a>, 
<a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea36d7aef4c89906df6c51376607cb3d26">YawDeg</a>, 
<a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea95d87bf031551718d82d04ac1daf420a">Q0</a>, 
<a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea860a4d9a79ac97d2b726877763841b51">Q1</a>, 
<br />
&#160;&#160;<a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0c65aec2815d382db5369f0808a24b46">Q2</a>, 
<a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea019be59f634370d62819b22c1d4b2b2f">Q3</a>, 
<a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0d0e2f77ee750b3cc816f2064f390bf1">Wx</a>, 
<a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea923e9fc48418524ec1721e2f923d5c7a">Wy</a>, 
<br />
&#160;&#160;<a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea3c9eaace6600b7f0c84cf88fddd146b4">Wz</a>, 
<a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfead3903f76bb1704dbc3cfb86fa1e192f5">WxDeg</a>, 
<a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0106141acaa3bcfdb1a2230ccd826731">WyDeg</a>, 
<a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea1543ed94aca30d1db18d7f851cc06849">WzDeg</a>
<br />
 }</td></tr>
<tr class="memdesc:a543cdebeff537350a819b07a4a55cdfe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Datas wich can be plotted in a DataPlot1D.  <a href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfe">More...</a><br /></td></tr>
<tr class="separator:a543cdebeff537350a819b07a4a55cdfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed5fccda511f97487040fed29f4efc97"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> = 0, 
<b>Red</b> = 31, 
<b>Green</b> = 32, 
<b>Orange</b> = 33
 }</td></tr>
<tr class="separator:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa34ea3b366763a0fab3ac98c3aaacf17"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_ahrs_data.html#aa34ea3b366763a0fab3ac98c3aaacf17">AhrsData</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name=&quot;&quot;, int n=1)</td></tr>
<tr class="memdesc:aa34ea3b366763a0fab3ac98c3aaacf17"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aa34ea3b366763a0fab3ac98c3aaacf17">More...</a><br /></td></tr>
<tr class="separator:aa34ea3b366763a0fab3ac98c3aaacf17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52a22cd3ac38c1f402c9276d2eaf0cfd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a52a22cd3ac38c1f402c9276d2eaf0cfd">~AhrsData</a> ()</td></tr>
<tr class="memdesc:a52a22cd3ac38c1f402c9276d2eaf0cfd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a52a22cd3ac38c1f402c9276d2eaf0cfd">More...</a><br /></td></tr>
<tr class="separator:a52a22cd3ac38c1f402c9276d2eaf0cfd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0100cfbcaa8c292e53e165201a2d8e1f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a0100cfbcaa8c292e53e165201a2d8e1f">Element</a> (<a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfe">PlotableData_t</a> plotableData) const </td></tr>
<tr class="memdesc:a0100cfbcaa8c292e53e165201a2d8e1f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Element.  <a href="#a0100cfbcaa8c292e53e165201a2d8e1f">More...</a><br /></td></tr>
<tr class="separator:a0100cfbcaa8c292e53e165201a2d8e1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97a810113ff30b4a7661cedfbd00a248"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a97a810113ff30b4a7661cedfbd00a248">SetQuaternion</a> (const <a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion)</td></tr>
<tr class="memdesc:a97a810113ff30b4a7661cedfbd00a248"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set quaternion.  <a href="#a97a810113ff30b4a7661cedfbd00a248">More...</a><br /></td></tr>
<tr class="separator:a97a810113ff30b4a7661cedfbd00a248"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dae31f1c0d942ee2090f00d1126df6c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a7dae31f1c0d942ee2090f00d1126df6c">GetQuaternion</a> (void) const </td></tr>
<tr class="memdesc:a7dae31f1c0d942ee2090f00d1126df6c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get quaternion.  <a href="#a7dae31f1c0d942ee2090f00d1126df6c">More...</a><br /></td></tr>
<tr class="separator:a7dae31f1c0d942ee2090f00d1126df6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5b8be3de3fbd4ec342ea616132659dd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_ahrs_data.html#ad5b8be3de3fbd4ec342ea616132659dd">SetAngularRates</a> (const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;angularRates)</td></tr>
<tr class="memdesc:ad5b8be3de3fbd4ec342ea616132659dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set angular rates.  <a href="#ad5b8be3de3fbd4ec342ea616132659dd">More...</a><br /></td></tr>
<tr class="separator:ad5b8be3de3fbd4ec342ea616132659dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32909780fe8fa7e39932443007ef4389"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a32909780fe8fa7e39932443007ef4389">GetAngularRates</a> (void) const </td></tr>
<tr class="memdesc:a32909780fe8fa7e39932443007ef4389"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get angular rates.  <a href="#a32909780fe8fa7e39932443007ef4389">More...</a><br /></td></tr>
<tr class="separator:a32909780fe8fa7e39932443007ef4389"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8eee838e9a7f8f503638cf183af55dd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_ahrs_data.html#ab8eee838e9a7f8f503638cf183af55dd">GetQuaternionAndAngularRates</a> (<a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion, <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;angularRates) const </td></tr>
<tr class="memdesc:ab8eee838e9a7f8f503638cf183af55dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get both quaternion and angular rates.  <a href="#ab8eee838e9a7f8f503638cf183af55dd">More...</a><br /></td></tr>
<tr class="separator:ab8eee838e9a7f8f503638cf183af55dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b6f3f93c50b4b4ae304979eec889750"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a2b6f3f93c50b4b4ae304979eec889750">SetQuaternionAndAngularRates</a> (const <a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion, const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;angularRates)</td></tr>
<tr class="memdesc:a2b6f3f93c50b4b4ae304979eec889750"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set both quaternion and angular rates.  <a href="#a2b6f3f93c50b4b4ae304979eec889750">More...</a><br /></td></tr>
<tr class="separator:a2b6f3f93c50b4b4ae304979eec889750"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdc512807db7029ace2ba72cf42c5754"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afdc512807db7029ace2ba72cf42c5754"></a>
const <a class="el" href="classflair_1_1core_1_1_ahrs_data_1_1_type.html">Type</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetDataType</b> () const </td></tr>
<tr class="separator:afdc512807db7029ace2ba72cf42c5754"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td></tr>
<tr class="memitem:a8f1ba8c576e0a94bb27bdf1b6d1f7d21 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a8f1ba8c576e0a94bb27bdf1b6d1f7d21">io_data</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name, int n)</td></tr>
<tr class="memdesc:a8f1ba8c576e0a94bb27bdf1b6d1f7d21 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a8f1ba8c576e0a94bb27bdf1b6d1f7d21">More...</a><br /></td></tr>
<tr class="separator:a8f1ba8c576e0a94bb27bdf1b6d1f7d21 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63b4bbba0120e45d69d616f7b7cb021a inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a63b4bbba0120e45d69d616f7b7cb021a">~io_data</a> ()</td></tr>
<tr class="memdesc:a63b4bbba0120e45d69d616f7b7cb021a inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a63b4bbba0120e45d69d616f7b7cb021a">More...</a><br /></td></tr>
<tr class="separator:a63b4bbba0120e45d69d616f7b7cb021a inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acae3fb98b266a788b12083c7eec2be10 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#acae3fb98b266a788b12083c7eec2be10">SetDataTime</a> (<a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> time)</td></tr>
<tr class="memdesc:acae3fb98b266a788b12083c7eec2be10 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set data time, also caluculates the delta time based on last call.  <a href="#acae3fb98b266a788b12083c7eec2be10">More...</a><br /></td></tr>
<tr class="separator:acae3fb98b266a788b12083c7eec2be10 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa51c08a0950cbe5ec5774446679ea43f inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#aa51c08a0950cbe5ec5774446679ea43f">SetDataTime</a> (<a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> time, <a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> deltaTime)</td></tr>
<tr class="memdesc:aa51c08a0950cbe5ec5774446679ea43f inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set data time and delta time (thus delta time is not based on last call)  <a href="#aa51c08a0950cbe5ec5774446679ea43f">More...</a><br /></td></tr>
<tr class="separator:aa51c08a0950cbe5ec5774446679ea43f inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9481c27408747e9392d9425f45699599 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a9481c27408747e9392d9425f45699599">DataTime</a> (void) const </td></tr>
<tr class="memdesc:a9481c27408747e9392d9425f45699599 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data time.  <a href="#a9481c27408747e9392d9425f45699599">More...</a><br /></td></tr>
<tr class="separator:a9481c27408747e9392d9425f45699599 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba2a52aae7efbcd769820cde4e1a38d9 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#aba2a52aae7efbcd769820cde4e1a38d9">DataDeltaTime</a> (void) const </td></tr>
<tr class="memdesc:aba2a52aae7efbcd769820cde4e1a38d9 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data delta time.  <a href="#aba2a52aae7efbcd769820cde4e1a38d9">More...</a><br /></td></tr>
<tr class="separator:aba2a52aae7efbcd769820cde4e1a38d9 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02cd00111e4b93187b668de49cdec642 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a02cd00111e4b93187b668de49cdec642">GetDataTime</a> (<a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> &amp;time, <a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> &amp;deltaTime) const </td></tr>
<tr class="memdesc:a02cd00111e4b93187b668de49cdec642 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get data time and delta time.  <a href="#a02cd00111e4b93187b668de49cdec642">More...</a><br /></td></tr>
<tr class="separator:a02cd00111e4b93187b668de49cdec642 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6337ffd87caf22391c4484da3fc13d47 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a6337ffd87caf22391c4484da3fc13d47">Prev</a> (int n) const </td></tr>
<tr class="memdesc:a6337ffd87caf22391c4484da3fc13d47 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Previous data.  <a href="#a6337ffd87caf22391c4484da3fc13d47">More...</a><br /></td></tr>
<tr class="separator:a6337ffd87caf22391c4484da3fc13d47 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa81cc1713a594806040a1e5d52ec9fa3 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#aa81cc1713a594806040a1e5d52ec9fa3">RawWrite</a> (char *src)</td></tr>
<tr class="memdesc:aa81cc1713a594806040a1e5d52ec9fa3 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Raw write datas.  <a href="#aa81cc1713a594806040a1e5d52ec9fa3">More...</a><br /></td></tr>
<tr class="separator:aa81cc1713a594806040a1e5d52ec9fa3 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_mutex"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_mutex')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_mutex.html">flair::core::Mutex</a></td></tr>
<tr class="memitem:a1f85044411d838898a794ceaeb78d8f0 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_mutex.html#a1f85044411d838898a794ceaeb78d8f0">Mutex</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name=&quot;&quot;)</td></tr>
<tr class="memdesc:a1f85044411d838898a794ceaeb78d8f0 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a1f85044411d838898a794ceaeb78d8f0">More...</a><br /></td></tr>
<tr class="separator:a1f85044411d838898a794ceaeb78d8f0 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8256454205d5146d1fe95b7538b25eb inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_mutex.html#ac8256454205d5146d1fe95b7538b25eb">~Mutex</a> ()</td></tr>
<tr class="memdesc:ac8256454205d5146d1fe95b7538b25eb inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac8256454205d5146d1fe95b7538b25eb">More...</a><br /></td></tr>
<tr class="separator:ac8256454205d5146d1fe95b7538b25eb inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a225fbd364b794d698b1c7d8c6962492b inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_mutex.html#a225fbd364b794d698b1c7d8c6962492b">GetMutex</a> (void) const </td></tr>
<tr class="memdesc:a225fbd364b794d698b1c7d8c6962492b inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">GetMutex.  <a href="#a225fbd364b794d698b1c7d8c6962492b">More...</a><br /></td></tr>
<tr class="separator:a225fbd364b794d698b1c7d8c6962492b inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fd1e2cbcacd6a51e21da35cd26800f6 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_mutex.html#a1fd1e2cbcacd6a51e21da35cd26800f6">ReleaseMutex</a> (void) const </td></tr>
<tr class="memdesc:a1fd1e2cbcacd6a51e21da35cd26800f6 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">ReleaseMutex.  <a href="#a1fd1e2cbcacd6a51e21da35cd26800f6">More...</a><br /></td></tr>
<tr class="separator:a1fd1e2cbcacd6a51e21da35cd26800f6 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aec92383fd5bf68d9df10414862b7e95c">More...</a><br /></td></tr>
<tr class="separator:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a> ()</td></tr>
<tr class="memdesc:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa2bde0e6677bbef705c96c93cb06ad09">More...</a><br /></td></tr>
<tr class="separator:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#a9b0344dff7e1c05424d9152c8274523a">More...</a><br /></td></tr>
<tr class="separator:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a609a250ec037fbcaf8957c8f1dcbfc53">More...</a><br /></td></tr>
<tr class="separator:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a> (void) const </td></tr>
<tr class="memdesc:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a360c112cc3017a5152ebf6e84d2efa70">More...</a><br /></td></tr>
<tr class="separator:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#ae22db4d723ec2d50b3ba48f26a6a770c">More...</a><br /></td></tr>
<tr class="separator:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">Childs</a> (void) const </td></tr>
<tr class="memdesc:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#a344f81cd35805a9501098bf727ac1a10">More...</a><br /></td></tr>
<tr class="separator:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#af001feba14fc053aa778e61080a0b4cf">More...</a><br /></td></tr>
<tr class="separator:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a168b18451b2ee6126e1e81d452005ff6">More...</a><br /></td></tr>
<tr class="separator:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a3ca9694d29ec2b0491739879685df5ca">More...</a><br /></td></tr>
<tr class="separator:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a36cdd7f556e78b1bddd1d1fe4264bb85">More...</a><br /></td></tr>
<tr class="separator:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classflair_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classflair_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td></tr>
<tr class="memitem:acc7fc08f29ba17fed5b94150826fae2d inherit pro_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#acc7fc08f29ba17fed5b94150826fae2d">AppendLogDescription</a> (std::string description, <a class="el" href="classflair_1_1core_1_1_data_type.html">DataType</a> const &amp;datatype)</td></tr>
<tr class="memdesc:acc7fc08f29ba17fed5b94150826fae2d inherit pro_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Specify the description of the reimplemented class data's.  <a href="#acc7fc08f29ba17fed5b94150826fae2d">More...</a><br /></td></tr>
<tr class="separator:acc7fc08f29ba17fed5b94150826fae2d inherit pro_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8b8c20d94aaf6b9eb4e21e2b95d51b2 inherit pro_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#aa8b8c20d94aaf6b9eb4e21e2b95d51b2">SetPtrToCircle</a> (void **ptr)</td></tr>
<tr class="memdesc:aa8b8c20d94aaf6b9eb4e21e2b95d51b2 inherit pro_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the datas to circle.  <a href="#aa8b8c20d94aaf6b9eb4e21e2b95d51b2">More...</a><br /></td></tr>
<tr class="separator:aa8b8c20d94aaf6b9eb4e21e2b95d51b2 inherit pro_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classflair_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classflair_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td></tr>
<tr class="memitem:a58e1a3f2fbf1655a047268375ba2202e inherit pro_attribs_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a58e1a3f2fbf1655a047268375ba2202e">prev</a></td></tr>
<tr class="memdesc:a58e1a3f2fbf1655a047268375ba2202e inherit pro_attribs_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to previous data.  <a href="#a58e1a3f2fbf1655a047268375ba2202e">More...</a><br /></td></tr>
<tr class="separator:a58e1a3f2fbf1655a047268375ba2202e inherit pro_attribs_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining AHRS datas. </p>
<p>AHRS datas consist of quaternion and rotational angles values. <br />
</p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="a543cdebeff537350a819b07a4a55cdfe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfe">flair::core::AhrsData::PlotableData_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Datas wich can be plotted in a DataPlot1D. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a543cdebeff537350a819b07a4a55cdfea5f8990388fad1c927fc08019824fcbdd"></a>Roll&#160;</td><td class="fielddoc">
<p>roll </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a543cdebeff537350a819b07a4a55cdfea14abd733b4aae994e03227a41414c956"></a>Pitch&#160;</td><td class="fielddoc">
<p>pitch </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a543cdebeff537350a819b07a4a55cdfeaacc98a52fd3a118df2369ceacfe42e80"></a>Yaw&#160;</td><td class="fielddoc">
<p>yaw </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a543cdebeff537350a819b07a4a55cdfea5fc64bf63e469acf2ea04b026566898a"></a>RollDeg&#160;</td><td class="fielddoc">
<p>roll degree </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a543cdebeff537350a819b07a4a55cdfeab1879f408d8ca43877c6b8e1d1c47e2a"></a>PitchDeg&#160;</td><td class="fielddoc">
<p>pitch degree </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a543cdebeff537350a819b07a4a55cdfea36d7aef4c89906df6c51376607cb3d26"></a>YawDeg&#160;</td><td class="fielddoc">
<p>yaw degree </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a543cdebeff537350a819b07a4a55cdfea95d87bf031551718d82d04ac1daf420a"></a>Q0&#160;</td><td class="fielddoc">
<p>quaternion 0 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a543cdebeff537350a819b07a4a55cdfea860a4d9a79ac97d2b726877763841b51"></a>Q1&#160;</td><td class="fielddoc">
<p>quaternion 1 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a543cdebeff537350a819b07a4a55cdfea0c65aec2815d382db5369f0808a24b46"></a>Q2&#160;</td><td class="fielddoc">
<p>quaternion 2 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a543cdebeff537350a819b07a4a55cdfea019be59f634370d62819b22c1d4b2b2f"></a>Q3&#160;</td><td class="fielddoc">
<p>quaternion 3 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a543cdebeff537350a819b07a4a55cdfea0d0e2f77ee750b3cc816f2064f390bf1"></a>Wx&#160;</td><td class="fielddoc">
<p>x filtered angular rate </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a543cdebeff537350a819b07a4a55cdfea923e9fc48418524ec1721e2f923d5c7a"></a>Wy&#160;</td><td class="fielddoc">
<p>y filtered angular rate </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a543cdebeff537350a819b07a4a55cdfea3c9eaace6600b7f0c84cf88fddd146b4"></a>Wz&#160;</td><td class="fielddoc">
<p>z filtered angular rate </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a543cdebeff537350a819b07a4a55cdfead3903f76bb1704dbc3cfb86fa1e192f5"></a>WxDeg&#160;</td><td class="fielddoc">
<p>x filtered angular rate degree </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a543cdebeff537350a819b07a4a55cdfea0106141acaa3bcfdb1a2230ccd826731"></a>WyDeg&#160;</td><td class="fielddoc">
<p>y filtered angular rate degree </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a543cdebeff537350a819b07a4a55cdfea1543ed94aca30d1db18d7f851cc06849"></a>WzDeg&#160;</td><td class="fielddoc">
<p>z filtered angular rate degree </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa34ea3b366763a0fab3ac98c3aaacf17"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::core::AhrsData::AhrsData </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>n</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct an <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> representing AHRS datas. <br />
 </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">n</td><td>number of samples </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a52a22cd3ac38c1f402c9276d2eaf0cfd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::core::AhrsData::~AhrsData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a0100cfbcaa8c292e53e165201a2d8e1f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a>* flair::core::AhrsData::Element </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfe">PlotableData_t</a>&#160;</td>
          <td class="paramname"><em>plotableData</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Element. </p>
<p>Get a pointer to a specific element. This pointer can be used for plotting.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">plotableData</td><td>data type</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>pointer to the element </dd></dl>

</div>
</div>
<a class="anchor" id="a97a810113ff30b4a7661cedfbd00a248"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::core::AhrsData::SetQuaternion </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>quaternion</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set quaternion. </p>
<p>This method is mutex protected.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">quaternion</td><td>quaternion </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7dae31f1c0d942ee2090f00d1126df6c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> flair::core::AhrsData::GetQuaternion </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get quaternion. </p>
<p>This method is mutex protected.</p>
<dl class="section return"><dt>Returns</dt><dd>quaternion </dd></dl>

</div>
</div>
<a class="anchor" id="ad5b8be3de3fbd4ec342ea616132659dd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::core::AhrsData::SetAngularRates </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;&#160;</td>
          <td class="paramname"><em>angularRates</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set angular rates. </p>
<p>This method is mutex protected.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">angularRates</td><td>angular rates </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a32909780fe8fa7e39932443007ef4389"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> flair::core::AhrsData::GetAngularRates </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get angular rates. </p>
<p>This method is mutex protected.</p>
<dl class="section return"><dt>Returns</dt><dd>angular rates </dd></dl>

</div>
</div>
<a class="anchor" id="ab8eee838e9a7f8f503638cf183af55dd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::core::AhrsData::GetQuaternionAndAngularRates </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>quaternion</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;&#160;</td>
          <td class="paramname"><em>angularRates</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get both quaternion and angular rates. </p>
<p>This method is mutex protected.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">quaternion</td><td>quaternion </td></tr>
    <tr><td class="paramname">angularRates</td><td>angular rates </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2b6f3f93c50b4b4ae304979eec889750"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::core::AhrsData::SetQuaternionAndAngularRates </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>quaternion</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;&#160;</td>
          <td class="paramname"><em>angularRates</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set both quaternion and angular rates. </p>
<p>This method is mutex protected.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">quaternion</td><td>quaternion </td></tr>
    <tr><td class="paramname">angularRates</td><td>angular rates </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classflair_1_1core_1_1_ahrs_data.html">AhrsData</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
